<?php
namespace Bdp\Modules\EventParticipants\Controllers;

use Bdp\Modules\EventParticipants\Models\EventParticipant;

class EventLocalGroupMailFormController {
    public function __construct() {
        global $_REQUEST;
        $group = $_REQUEST['group'];
        $recipients = [];
        foreach (EventParticipant::list_for_event($_REQUEST['event-id']) as $participant) {
            if ($participant->stamm !== $group) {
                continue;
            }

            $recipient = $participant->vorname . ' <' . strtolower($participant->email_1) . '>';
            if (!in_array($recipient, $recipients) && str_contains($participant->email_1, '@')) {
                $recipients[] = $recipient;
            }
            if ('' != $participant->email_2 && str_contains($participant->email_2, '@')) {
                $recipient = $participant->vorname . ' <' . strtolower($participant->email_2) . '>';
                if (!in_array($recipient, $recipients)) {
                    $recipients[] = $recipient;
                }
            }
        }

        $recipients = array_unique($recipients);
        $to = implode(', ', $recipients);
        kompass_print_mail_compose($to, "[KoPfiLa '24] - ");
    }
}




